Scoping Configuration - List
返回指定报表的单一实例范围配置的列表格式。
GET https://management.azure.com/providers/Microsoft.AppComplianceAutomation/reports/{reportName}/scopingConfigurations?api-version=2024-06-27
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
report
|
path | True |
string pattern: ^[-a-zA-Z0-9_]{1,50}$ |
报表名称。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 操作已成功完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
ScopingConfiguration_List
示例请求
示例响应
{
"value": [
{
"name": "default",
"type": "Microsoft.AppComplianceAutomation/reports/scopingConfigurations",
"id": "/provider/Microsfot.AppComplianceAutomation/reports/testReportName/scopingConfigurations/default",
"properties": {
"answers": [
{
"answers": [
"Azure"
],
"questionId": "GEN20_hostingEnvironment"
},
{
"answers": [],
"questionId": "DHP_G07_customerDataProcess"
},
{
"answers": [],
"questionId": "Tier2InitSub_serviceCommunicate"
}
]
},
"systemData": {
"createdAt": "2021-05-14T22:34:55.4499903Z",
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdByType": "User",
"lastModifiedAt": "2021-05-14T22:34:55.4499903Z",
"lastModifiedBy": "00000000-0000-0000-0000-000000000000",
"lastModifiedByType": "User"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Provisioning |
资源预配状态。 |
|
Scoping |
范围答案。 |
|
Scoping |
一个类表示 AppComplianceAutomation 范围配置资源。 |
|
Scoping |
ScopingConfigurationResource 列表操作的响应。 |
|
system |
与创建和上次修改资源相关的元数据。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ProvisioningState
资源预配状态。
| 值 | 说明 |
|---|---|
| Succeeded |
预配成功。 |
| Failed |
预配失败。 |
| Canceled |
已取消预配。 |
| Creating |
正在创建。 |
| Deleting |
正在删除。 |
| Fixing |
正在进行的资源的修复。 |
| Verifying |
正在进行的资源验证。 |
| Updating |
正在进行中的资源的更新。 |
ScopingAnswer
范围答案。
| 名称 | 类型 | 说明 |
|---|---|---|
| answers |
string[] |
问题答案值列表。 |
| questionId |
string pattern: ^[-a-zA-Z0-9_]{1,50}$ |
问题 ID。 |
ScopingConfigurationResource
一个类表示 AppComplianceAutomation 范围配置资源。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
资源的名称 |
| properties.answers |
确定问题答案的范围列表。 |
|
| properties.provisioningState |
Azure 生命周期管理 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
ScopingConfigurationResourceListResult
ScopingConfigurationResource 列表操作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
此页上的 ScopingConfigurationResource 项 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |